Enabling the virtual desktop for VDI auto-update

Last Updated:

To enable the VDI plugin auto-update feature, an administrator must add a policy to the virtual desktop. Enabling the option to use VDI plugin auto-update will automatically detect when the user has an older VDI plugin or a missing VDI plugin and prompt the user to confirm the installation of the required plugin. The default configuration will install the latest version that is compatible with the VDI Zoom Meeting client (Zoom desktop client).

This article covers:

Prerequisites for enabling the virtual desktop for VDI auto-update

  • Account owner or admin privileges
  • Your computer or device meets the software requirements for VDI auto-update
  • Zoom desktop client
    Note: Verify release requirements for each policy as some require a more recent plugin release.
    • Windows: 5.10.0 or higher
    • macOS: 5.12.6 or higher
  • VDI plugin
    Note: Verify release requirements for each policy as some require a more recent plugin release.
    • Windows: 5.10.0 or compatible auto-update package
    • macOS: 5.12.6 or compatible auto-update package
  • Organizations using Citrix XenDesktop or VMware Horizon server published desktop, or Windows Remote Desktop
  • Citrix Workspace, VMWare Horizons, AVD client, or Windows remote desktop client
    Note: Citrix Workspace app from Microsoft store is not supported. Mac support is only available for Citrix and VMware.
  • Virtual Channel policies have been configured for Citrix

Notes:

  • For the Windows VDI plugin, the VDI plugin auto-update software component .dll is included and is automatically installed with the VDI plugin, starting with version 5.10.0.
  • VDI plugins for the Linux platform, including all partner platforms based on Linux, are not currently being developed for the VDI plugin auto-update feature.

How to enable the virtual desktop for VDI Plugin auto-update

Use the following registry key for the policy:

Key: SOFTWARE\Policies\Zoom\Zoom Meetings\VDI
Value: EnableVDIPluginAutoUpgrade
Value Type: DWORD
Value Description:
(0) Default (plugin auto-update is disabled)
(1) Enable Plugin AutoUpdate

  1. Add the above policy to any virtual desktop where the VDI plugin auto-update feature is needed to manage the VDI plugin version installed on the remote computer accessing the desktop.
  2. When the VDI plugin auto-update software is installed on the remote computer, the connection between the VDI Zoom Meeting client and the remote computer will determine if the remote computer requires a VDI plugin to be installed.
  3. Confirm the software is working by uninstalling the VDI plugin (using the standard uninstall option in the control panel), then reconnect to the virtual desktop.
  4. Confirm that auto-update is working by following the below information.

VDI plugin is required

If a VDI plugin is required, a dialog will appear, such as: “You must install a compatible Zoom plugin on your device in order to use the Zoom VDI client. Click OK to disconnect from this VDI session and install Zoom VDI plugin (version number) now.”

Users are presented with the option to click OK to proceed with the installation. The sequence of events that occur in response to clicking OK are the following:

  1. The user is disconnected from the virtual desktop.
  2. The VDI plugin required is downloaded.
  3. The VDI plugin installation starts.

The VDI plugin download uses the same URL to download the VDI plugin that is used to manually download and install a VDI plugin from the downloads page.

The installation will prompt the user to continue, and administrator privileges are required to continue.

Downloading and installation generally require very little time. Users should be able to reconnect to their virtual desktop in less than a minute with standard internet connections.

VDI plugin auto-update software is not installed

If the user connecting to the virtual desktop does not have the VDI plugin auto-update software installed, the Zoom Meeting client will not be able to manage updates. Users will not receive the dialog to install or update a missing or out-of-date VDI plugin.

Installing the auto-update software provides some available options for adding the VDI plugin auto-update for users, including users with personal computers who join from home locations. Zoom is working with partners to provide additional support.

How to allow users to defer an update

The default behavior for VDI plugin auto-update is to present a dialog to the user telling them they must install a VDI plugin with only an OK button to begin that process.

For administrators concerned about forcing users to disconnect, there is an additional policy that can be configured. This policy is a registry key called UpdatePluginLater. This policy provides the option for the user to see and click a button called “Later” in the VDI plugin auto-update dialog presented to the user when a VDI plugin is either missing or incompatible.

Configure the Later option

The following is the basic configuration required for the Later option:

Key: SOFTWARE\Policies\Zoom\Zoom Meetings\VDI
Value: UpdatePluginLater
Value Type: DWORD
Value Description:

(0) Default (plugin auto-update later option is disabled)
(1) Enables Plugin AutoUpdate Later Option (5.11.6 VDI Zoom Meeting client or later)
(2) Selecting "Later" waits until the desktop is disconnected (5.13.0 VDI Zoom Meeting client or later)

Comments: The default dialog displayed to the user does not include a button for “Later”. Adding this policy modifies the dialog and adds a Later button.

Option 1 displays a "Later" button in the dialog when an action (install, update or downgrade) is required. Clicking Later closes the dialog. The next time the user connects, the same dialog will be presented if the VDI plugin management software detects an action is still required.

Option 2 also displays a "Later" button but clicking Later for option 2 will wait until the user disconnects from their virtual desktop(s) and then perform the required action.

Zoom Community

Join the 100K+ other members in the Zoom Community! Login with your Zoom account credentials and start collaborating.